#!/bin/bash

path=$_
curpath=$PWD
if [[ -z `echo -n $path|grep '^/'` ]]; then
   path=`echo -n $path|sed -r 's/^\.\///'`
   path=${curpath}/$path
fi
path=`echo -n $path|sed -r 's/\/[^\/]+\/\.\.\//\//'`
programpath=`echo -n $path|sed -r 's/\/[^\/]+$//'`

export JAVA_OPTS="-Xmx2048m -XX:MaxPermSize=512m"
export PATH=${programpath}/groovy/bin:${PATH}


for x in `ls ${programpath}/bin/*.jar`;do cp=${x}:${cp};done
cp=${cp}${programpath}/bin/
cd ${programpath}
groovy -cp $cp ${programpath}/bin/PlantTFcat.groovy $* -b ${programpath}
exit $?
