#!/bin/bash

if [[ -z $1 ]]; then
  echo "Usage: ./cert.sh  remote-host-name"
  exit 1
fi

if [[ ! -e ~/.ssh/id_dsa.pub ]];then
echo "Generate RSA public/private key file"
ssh-keygen -t dsa
#ssh-add
fi

#cat ~/.ssh/known_hosts|sed -n "/${1}/!p" > ~/.ssh/known_hosts.2
#mv -f ~/.ssh/known_hosts.2 ~/.ssh/known_hosts

scp -B -o StrictHostKeyChecking=no ~/.ssh/id_dsa.pub  root@${1}:/tmp/ 2>/dev/null
if [[ $? -ne 0 ]];then
  scp -o StrictHostKeyChecking=no ~/.ssh/id_dsa.pub  root@${1}:/tmp/
  ssh -o StrictHostKeyChecking=no ${1} "if [[ ! -e ~/.ssh ]];then mkdir -p ~/.ssh;chmod 0700 ~/.ssh;fi;if [[ ! -e ~/.ssh/authorized_keys2 ]];then echo -n '' > ~/.ssh/authorized_keys2;chmod 0600  ~/.ssh/authorized_keys2;fi;cat /tmp/id_dsa.pub >> ~/.ssh/authorized_keys2"
  ssh -o StrictHostKeyChecking=no ${1} "rm -f /tmp/id_dsa.pub"
else
  ssh ${1} "rm -f /tmp/id_dsa.pub"
  echo "Already has public key"
fi

