#!/bin/bash

path=$_
curpath=$PWD
if [[ -z `echo -n $path|grep '^/'` ]]; then
   path=`echo -n $path|sed -r 's/^\.\///'`
   path=${curpath}/$path
fi
path=`echo -n $path|sed -r 's/\/[^\/]+\/\.\.\//\//'`
path=`echo -n $path|sed -r 's/\/[^\/]+\/\.\.\//\//'`
programpath=`echo -n $path|sed -r 's/\/[^\/]+$//'`


${programpath}/ipr.pl $* > ${4}.miniIPR.out  # the 4th parameter ($4) is query sequence file
if [[ $? -ne 0 ]];then
   rm -f ${4}.miniIPR.out
   exit 1
fi

${programpath}/calscore.pl $2 ${4}.miniIPR.out
if [[ $? -ne 0 ]];then
   rm -f ${4}.miniIPR.out
   exit 1
fi

rm -f ${4}.miniIPR.out

